server:
  port: 10081

spring:
  application:
    name: sckw-ng-fleet
  profiles:
    #    active: ${DEPLOY_MODE:dev}
    active: @profiles.active@
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 10.10.10.224:8848
        # 命名空间
        namespace: sckw-ng-service-platform
        # 共享配置
        group: sckw-ng-service-platform
      config:
        # 配置中心地址
        server-addr: 10.10.10.224:8848
        # 命名空间
        namespace: sckw-ng-service-platform
        # 共享配置
        group: sckw-ng-service-platform
        # 配置文件格式
        file-extension: yaml
        shared-configs:
          - data-id: sckw-common.yml
            group: sckw-ng-common
            refresh: true
          - data-id: amap-config.yml
            group: sckw-ng-service-platform
            refresh: true

        #可以读多个配置文件 需要在同一个命名空间下面可以是不同的组
        extension-configs:
          - dataId: sckw-common.yml
            group: sckw-ng-service-platform
            refresh: true
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

logging:
  level:
    root: info
    com.sckw.payment: debug

# SpringDoc OpenAPI 配置
springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  show-actuator: true
  cache:
    disabled: true